Package ru.bitel.bgbilling.modules.rscm.server.bean

# Class RSCMServiceManager

java.lang.Object
ru.bitel.bgbilling.modules.rscm.server.bean.RSCMServiceManager

    public class RSCMServiceManager
    extends java.lang.Object

DAO параметров услуг RSCM.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RSCMServiceManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteService​(int id)` | Удаление параметра услуги модуля RSCM по коду записи.
  `RSCMService` | `getService​(int id)` | Получение параметра услуги модуля RSCM по коду записи.
  `RSCMService` | `getServiceByServiceId​(int serviceId)` |
  `java.util.List<RSCMService>` | `getServiceList()` | Вызов getServiceList( Boolean isusing )
  `java.util.List<RSCMService>` | `getServiceList​(java.lang.Boolean isusing)` | Перечень параметров услуг модуля RSCM.
  `void` | `updateService​(RSCMService rscmService)` | Добавление/изменение параметра услуги в БД.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMServiceManager

    public RSCMServiceManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getServiceList

    public java.util.List<RSCMService> getServiceList()
    Вызов getServiceList( Boolean isusing )
    Returns:
      список всех услуг модуля

  - ### getServiceList

    public java.util.List<RSCMService> getServiceList​(java.lang.Boolean isusing)
    Перечень параметров услуг модуля RSCM.
    Returns:
      список услуг

  - ### updateService

    public void updateService​(RSCMService rscmService) throws ru.bitel.bgbilling.common.BGException
    Добавление/изменение параметра услуги в БД. Добавление происходит при getId() <= 0.
    Parameters:
      `rscmService` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteService

    public void deleteService​(int id)
    Удаление параметра услуги модуля RSCM по коду записи.
    Parameters:
      `id` - код записи

  - ### getService

    public RSCMService getService​(int id)
    Получение параметра услуги модуля RSCM по коду записи.
    Parameters:
      `id` - код записи
    Returns:

  - ### getServiceByServiceId

    public RSCMService getServiceByServiceId​(int serviceId)